---
title: GeolocationCoordinates.speed
slug: Web/API/GeolocationCoordinates/speed
tags:
  - API
  - Geolocation API
  - GeolocationCoordinates
  - Property
  - Secure context
  - speed
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>GeolocationCoordinates.speed</strong></code> read-only property is a <code>double</code> representing the velocity of the device in meters per second. This value is <code>null</code> if the implementation is not able to measure it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>let speed</var> = <var>geolocationCoordinatesInstance</var>.speed
</pre>

<h3 id="Value">Value</h3>

<p>A <code>double</code> representing the velocity of the device in meters per second.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-geolocationcoordinates-speed', 'GeolocationCoordinates.speed')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationCoordinates.speed")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("GeolocationCoordinates")}}</li>
</ul>
